package com.caimei.service;

import com.caimei.model.ResponseJson;

import java.math.BigDecimal;
import java.util.Map;

/**
 * @author Aslee
 */
public interface OrderSubmitService {
    /**
     * 订单提交
     *
     * @param cmAccount
     * @param data
     * @return
     */
    ResponseJson orderSubmit(String cmAccount, String data);

    /**
     * 保存收款记录
     * @param balancePayFee
     * @param orderId
     */
    void saveDiscernReceipt(BigDecimal balancePayFee, Integer orderId);

    /**
     * 保存余额抵扣记录
     * @param balancePayFee
     * @param orderId
     * @param userId
     */
    void saveBalanceRecord(BigDecimal balancePayFee, Integer orderId, Integer userId);
}
