package com.caimei.mapper;

import com.caimei.model.po.BalanceRecordPo;
import com.caimei.model.po.CmApiOrganizePo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.math.BigDecimal;

/**
 * Description
 *
 * @author : Aslee
 * @date : 2021/6/8
 */
@Mapper
public interface OrganizeMapper {

    CmApiOrganizePo getOrganizeByCmAccount(String cmAccount);

    BigDecimal getBalanceByUserId(Integer userId);

    void updateMoney(@Param("userMoney") BigDecimal userMoney,@Param("ableUserMoney") BigDecimal ableUserMoney,@Param("userId") Integer userId);

    void insertBalanceRecord(BalanceRecordPo balanceRecord);
}
