package com.caimei.service;

import com.caimei.model.ResponseJson;
import com.caimei.model.vo.ProductDetailVo;
import com.caimei.model.vo.ProductListVo;
import com.github.pagehelper.PageInfo;

/**
 * @author Aslee
 */
public interface ProductService {
    /**
     * 商品列表
     *
     * @param cmAccount
     * @param data
     * @return
     */
    ResponseJson<PageInfo<ProductListVo>> productList(String cmAccount, String data);

    /**
     * 商品详情
     * @param cmAccount
     * @param data
     * @return
     */
    ResponseJson<ProductDetailVo> productDetail(String cmAccount, String data);
}
